Skip to main content
GET
/
api
/
v1
/
openclaw
/
youtube
/
video
Video/Short Details
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/video \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
YouTube video or short URL (e.g., https://www.youtube.com/watch?v=Y2Ah_DFr8cw)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/video?url=https://www.youtube.com/watch?v=Y2Ah_DFr8cw" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "id": "Y2Ah_DFr8cw",
    "thumbnail": "https://img.youtube.com/vi/Y2Ah_DFr8cw/maxresdefault.jpg",
    "url": "https://www.youtube.com/watch?v=Y2Ah_DFr8cw",
    "publishDate": "2019-02-22T03:19:54-08:00",
    "type": "video",
    "title": "...",
    "commentCountInt": 358,
    "likeCountInt": 4043,
    "viewCountInt": 372864,
    "publishDateText": "Feb 22, 2019",
    "channel": {
      "id": "...",
      "handle": "...",
      "title": "..."
    },
    "durationMs": 348000,
    "durationFormatted": "00:05:48",
    "transcript": null,
    "transcript_only_text": null
  },
  "meta": {
    "platform": "youtube",
    "endpoint": "video",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.